<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Moja strona WWW</title>
  </head>
  <body>
    <p>
    <?php
    function rozwiaz($A, $B, $C){

      //Wyświetlenie parametrów równania
      echo("Parametry równania: <br>");
      echo("A = $A, B = $B, C = $C <br>");

      //Sprawdzenie, czy jest to równanie kwadratowe
      if ($A == 0){
        //$A jest równe zero, równania nie jest kwadratowe
        echo("To nie jest równanie kwadratowe: A = 0!");
      }
      else{
        //A jest różne od zera, równanie jest kwadratowe

        //Obliczenie delty
        $delta = $B * $B - 4 * $A * $C;

        //Jeśli delta mniejsza od zera
        if ($delta < 0){
           echo ("Delta < 0<br>");
           echo ("To równanie nie ma rozwiązania w zbiorze liczb rzeczywistych.");
        }
        //Jeśli delta większa lub równa zero
        else{
           //Jeśli delta jest równa zero
           if ($delta == 0){
             //Obliczenie wyniku
             $wynik = - B / (2 * A);
             echo("Rozwiązanie: x = $wynik");
           }
           //Jeśli delta jest większa od zera
           else{
             //obliczenie wyników
             $wynik = (- $B + sqrt($delta)) / (2 * $A);
             echo ("Rozwiązanie: x1 = $wynik");
             $wynik = (- $B - sqrt($delta)) / (2 * $A);
             echo(", x2 = $wynik");
           }
        }
      }
    }
    if(isset($_GET['A']) && isset($_GET['B']) && isset($_GET['C'])){
      if(!is_numeric($_GET['A']) || !is_numeric($_GET['B']) || !is_numeric($_GET['C'])){
        echo "Nieprawidłowe parametry wywołania.";
      }
      else{
        rozwiaz($_GET['A'], $_GET['B'], $_GET['C']);
      }
    } else {
      echo "Nieprawidłowe parametry wywołania.";
    }
    ?>
    </p>
  </body>
</html>